Package org.apache.ignite.internal.processors.platform.client.datastructures

## Class ClientIgniteSetRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.client.ClientRequest
  - - org.apache.ignite.internal.processors.platform.client.datastructures.ClientIgniteSetRequest

All Implemented Interfaces:
  `ClientListenerRequest`

Direct Known Subclasses:
  `ClientIgniteSetClearRequest`, `ClientIgniteSetCloseRequest`, `ClientIgniteSetExistsRequest`, `ClientIgniteSetIteratorStartRequest`, `ClientIgniteSetKeyRequest`, `ClientIgniteSetKeysRequest`, `ClientIgniteSetSizeRequest`

    public class ClientIgniteSetRequest
    extends ClientRequest

Ignite set get or update request.

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.processors.odbc.ClientListenerRequest

`HANDSHAKE`

### Constructor Summary

Constructors
`ClientIgniteSetRequest​(BinaryRawReader reader)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected <T> IgniteSet<T>` `igniteSet​(ClientConnectionContext ctx)` Gets the IgniteSet.
`protected String` `name()` Gets the name.
`protected ClientResponse` `notFoundResponse()` Gets a response for non-existent set.
`protected ClientResponse` `process​(IgniteSet<Object> set)` Processes the request.
`ClientResponse` `process​(ClientConnectionContext ctx)` Processes the request.

### Methods inherited from class org.apache.ignite.internal.processors.platform.client.ClientRequest

`isAsync, processAsync, requestId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.odbc.ClientListenerRequest

`beforeStartupRequest`

### Constructor Detail

#### ClientIgniteSetRequest

    public ClientIgniteSetRequest​(BinaryRawReader reader)

Constructor.

Parameters:
  `reader` - Reader.

### Method Detail

#### process

    public ClientResponse process​(ClientConnectionContext ctx)

Processes the request.

Overrides:
  `process` in class `ClientRequest`
Returns:
  Response.

#### process

    protected ClientResponse process​(IgniteSet<Object> set)

Processes the request.

Parameters:
  `set` - Ignite set.
Returns:
  Response.

#### name

    protected String name()

Gets the name.

Returns:
  Set name.

#### igniteSet

    protected <T> IgniteSet<T> igniteSet​(ClientConnectionContext ctx)

Gets the IgniteSet.

Parameters:
  `ctx` - Context.
Returns:
  IgniteSet or null.

#### notFoundResponse

    protected ClientResponse notFoundResponse()

Gets a response for non-existent set.

Returns:
  Response for non-existent set.